﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using DynamicTabItemsWithViewModel.ViewModel;
using DynamicTabItemsWithViewModel.Views;
using Infragistics.Windows.Controls;

namespace DynamicTabItemsWithViewModel
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private Style tabStyle;
        public MainWindow()
        {
            InitializeComponent();
            var buttonStyle = FindResource("AppButtonStyle") as Style;
            tabStyle = FindResource("TabItemExStyle") as Style;
            AddTabButton.Style = buttonStyle;
            OnAddTabButtonClick(null, null);
        }

        private void OnAddTabButtonClick(object sender, RoutedEventArgs e)
        {
            var tabViewModel = new TabViewModel() { Header = "IsHitTestVisible"};
            var tab = new TabItemEx()
            {
                DataContext = tabViewModel,
                IsSelected = true,
                IsEnabled = true,
                Style = tabStyle,
                Content = new TabView(tabViewModel)
            };
            MainTab.Items.Add(tab);
        }
    }
}
